---
title: "Active game listeners"
description: "Look up the Dark Pawns public HTTP API request and response contract for health checks, initial server setup, and currently active game listeners."
type: reference
audience: developers
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/public/operations/get-connections/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Active game listeners

Look up the Dark Pawns public HTTP API request and response contract for health checks, initial server setup, and currently active game listeners.

GET

/connection-info

FetchcURL

```
const url = 'https://example.com/connection-info';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url https://example.com/connection-info
```

Public listener addresses for this server’s connection page. Disabled or failed listeners are omitted.

## Responses

### 200

OK

application/json

object

**telnet**

object

**bind**

required

string

**port**

required

integer format: int64

**telnet\_tls**

object

**bind**

required

string

**port**

required

integer format: int64

**whod**

object

**bind**

required

string

**port**

required

integer format: int64

#### Example generated

```
{  "telnet": {    "bind": "example",    "port": 1  },  "telnet_tls": {    "bind": "example",    "port": 1  },  "whod": {    "bind": "example",    "port": 1  }}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
